:root{

  --azul-marino:#071A35;
  --azul-marino-secundario:#0B2545;

  --cian:#00D4FF;
  --cian-hover:#33DEFF;

  --blanco:#FFFFFF;

  --gris:#EAF4FF;

}

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  scroll-behavior:smooth;
}

body{
  background:var(--azul-marino);
  color:var(--blanco);
}

/* HERO */

.hero{
  height:100vh;
  background:
    linear-gradient(rgba(0,0,0,.7), rgba(0,0,0,.7)),
    url('https://images.unsplash.com/photo-1519085360753-af0119f7cbe7?q=80&w=1600&auto=format&fit=crop');
  background-size:cover;
  background-position:center;
  position:relative;
  display:flex;
  flex-direction:column;
  justify-content:center;
  align-items:center;
  text-align:center;
  padding:20px;
}

.highlight{
  color:var(--cian);
}

.navbar{
  position:absolute;
  top:0;
  width:100%;
  padding:20px 40px;
}

.logo{
  font-family:'Bebas Neue';
  font-size:2rem;
}

.logo-white{
  color:white;
}

.logo-cyan{
  color:var(--cian);
}

.hero-content{
  max-width:850px;
}

.hero-content h2{
  font-family:'Bebas Neue', sans-serif;
  font-size:5rem;
  line-height:1;
  margin-bottom:20px;
}

.hero-content p{
  font-size:1.3rem;
  color:#ddd;
  margin-bottom:35px;
}

.btn{
  display:inline-block;
  padding:15px 35px;
   background:var(--cian);
  color:var(--azul-marino);
  text-decoration:none;
  border:none;
  border-radius:50px;
  font-family:'Poppins', sans-serif;
  font-weight:700;
  cursor:pointer;
  transition:.3s;
}

.btn:hover{
  transform:translateY(-3px);
   background:var(--cian-hover);
  box-shadow:
  0 0 20px rgba(0,212,255,.5);
}

/* SECCIONES */

section{
  padding:100px 10%;
}

.section-title{
  text-align:center;
  margin-bottom:60px;
}

.section-title h2{
  font-family:'Bebas Neue', sans-serif;
  font-size:4rem;
  margin-bottom:10px;
}

.section-title p{
  color:#ccc;
}

/* MANUAL */

.manual{
 background:var(--azul-marino-secundario);
}

.cards{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
  gap:25px;
}

.card{
   background:#0F3057;
  padding:40px 20px;
   border-left:5px solid var(--cian);
  border-radius:12px;
  font-size:1.1rem;
  transition:.3s;
}

.card:hover{
  transform:translateY(-10px);
  box-shadow:
  0 0 25px rgba(0,212,255,.25);transform:translateY(-10px);
}

.manual-message{
  margin-top:60px;
  text-align:center;
  font-size:1.5rem;
  color:var(--cian);

  font-weight:600;
}

/* GAME */

.game-section{
  background:var(--azul-marino);
}

.quiz-box{
  max-width:700px;
  margin:auto;
  background:#1b263b;
  padding:40px;
  border-radius:20px ;
  text-align:center;
}

.quiz-box h3{
  font-size:1.7rem;
  margin-bottom:30px;
}

.buttons{
  display:flex;
  flex-direction:column;
  gap:20px;
}

.answer-btn{
  padding:18px;
  border:none;
  border-radius:12px;
  font-size:1rem;
  cursor:pointer;
  background:white;
  color:var(--azul-marino);
  font-weight:700;
  transition:.3s;
}

.answer-btn:hover{
  transform:scale(1.03);
}

#feedback{
  margin-top:30px;
  font-size:1.1rem;
  line-height:1.7;
}

#nextBtn{
  margin-top:30px;
  padding:14px 30px;
  border:none;
  border-radius:30px;
  background:var(--cian);
  color:white;
  cursor:pointer;
  display:none;
}

/* Progress */

.progress-container{
  width:100%;
  max-width:700px;
  margin:0 auto 30px auto;
  background:#333;
  border-radius:30px;
  overflow:hidden;
  height:14px;
}

.progress-bar{
  width:0%;
  height:100%;
  background:var(--cian);
  transition:.4s;
}

/* TESTIMONIOS */

.testimonials{
  background:#111011;
}

.testimonial-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
  gap:25px;
}

.testimonial-card{
  background:#12345B;
  padding:35px;
  border-radius:15px;
  border-top:4px solid var(--cian);;
  font-style:italic;
  transition:.3s;
}

.testimonial-card:hover{
  transform:translateY(-8px);
}

/* EDUCACION */

.education{
  background:#EAF4FF;
  color:#071A35;
}

.education-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
  gap:30px;
}

.edu-card{
  background:white;
  padding:30px;
  border-radius:18px;
  border-left:5px solid var(--cian);
  box-shadow:0 5px 15px rgba(0,0,0,.1);
}

.edu-card h3{
  margin-bottom:15px;
  color:#0d1b2a;
}

/* CTA FINAL */

.final-cta{
  background:
 linear-gradient(
 135deg,
 #071A35,
 #0B2545
 );
  text-align:center;
}

.final-cta h2{
  font-size:3rem;
  margin-bottom:30px;
  font-family:'Bebas Neue', sans-serif;
  color:white;
}

/* FOOTER */

footer{
  background:#03101F;
  padding:30px;
  text-align:center;
  color:#999;
}

/* SCROLL ANIMATION */

.reveal{
  opacity:0;
  transform:translateY(60px);
  transition:all 1s ease;
}

.reveal.active{
  opacity:1;
  transform:translateY(0);
}

/* RESPONSIVE */

@media(max-width:768px){

  .hero-content h2{
    font-size:3rem;
  }

  .section-title h2{
    font-size:2.7rem;
  }

  .final-cta h2{
    font-size:2.2rem;
  }

}

/* ==========================
   REDES SOCIALES FOOTER
========================== */

.social-media{

    display:flex;
    justify-content:center;
    align-items:center;
    gap:40px;

    margin-bottom:20px;

    flex-wrap:wrap;
}

.social-link{

    display:flex;
    align-items:center;
    gap:10px;

    text-decoration:none;

    color:white;

    font-size:1rem;

    font-weight:600;

    transition:0.3s;
}

.social-link i{

    font-size:1.8rem;

    color:var(--cian);

    transition:0.3s;
}

.social-link:hover{

    color:var(--cian);

    transform:translateY(-4px);
}

.social-link:hover i{

    transform:scale(1.2);

    text-shadow:
    0 0 15px rgba(0,212,255,.8);
}

.footer-text{

    margin-top:10px;

    color:#8FB7D8;

    font-size:.95rem;
}